Show / Hide Table of Contents

# Class DiagnosticsHelper

Main class for Language Service functionality including anything that reqires knowledge of the language to perfom, such as definitions, intellisense, etc.

##### Inheritance

System.Object
DiagnosticsHelper

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public static class DiagnosticsHelper